
<div class="container-fluid match-a-venir">
    <div class="container ps-5 pe-0">
        <div class="row">
            <div class="col">

                <p class="event-a-venir">EVENEMENT A VENIR</p>
                <!--L'affichage du match se faite ici-->
                <div *ngFor="let match of paginatedItems" class="detail-match mt-3 mb-3">

                    <div>
                        <p class="match-date">
                          {{ extraireNomJour(match.date) }} {{ extraireJourEtMois(match.date)}} à {{ extraireHeureEtMinute(match.heure) }}
                        </p>

                        <p class="match-name">
                          {{ match.eqDomicile.nomCourt }} <span class="fs-5 text-secondary">VS</span> {{ match.eqExterieur.nomCourt }}
                        </p>

                        <p class="ligue">
                            Ecosse - SPL
                        </p>
                    </div>

                    <div class="match-controls">
                        <button class="delete-match" (click)="supprimerMatch(match.id)">DEL</button>
                      <button [disabled]="match.scoreDomicile !== 0 || match.scoreExterieur !== 0" class="edit-match"
                              [ngClass]="{'disabled-button': match.scoreDomicile !== 0 || match.scoreExterieur !== 0}" (click)="openEditerMatch(match)">
                        {{ (match.scoreDomicile !== 0 || match.scoreExterieur !== 0) ? 'Terminé' :
                        (calculerStatutMatch(match.date,match.heure)=="Terminé"?"Editer Resultat":"Editer Match") }}
                      </button>

                      <button class="display-match" [routerLink]="'/match-details/' + match.id" >Details</button>
                    </div>

                </div>

            </div>
            <!--    PAGINATION-->
            <ng-container *ngIf="matchs.length > 0">
                <app-pagination [items]="matchs"
                                [paginationItemsPerPage]="paginationItemsPerPage"
                                [paginationCurrentPage]="paginationCurrentPage"
                                [maxPagesToShow]="maxPagesToShow"
                                (pageChanged)="onPageChanged($event)"></app-pagination>
            </ng-container>
        </div>
    </div>
</div>
